CREATE TABLE doo_aggregation_task_instances (
    AGGREGATION_TASK_INSTANCE_ID     NUMBER(18, 0) ,
    TASK_INSTANCE_ID                 NUMBER(18, 0)     NOT NULL,
    AGGREGATION_HEADER_ID            NUMBER(18, 0)     NOT NULL,
    PRIMARY_FLAG                     VARCHAR2(120) ,
    HEADER_ID                        NUMBER(18, 0) ,
    IS_ELIGIBLE_FLAG                 VARCHAR2(120) ,
    STATUS_CODE                      VARCHAR2(120) ,
    CORRELATION_KEY                  VARCHAR2(400) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    ORCHESTRATION_APP_ATTRIBUTE1     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE2     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE3     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE4     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE5     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE6     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE7     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE8     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE9     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE10    VARCHAR2(4000),
    LINKED_AGGR_HDR_ID               NUMBER(18, 0) ,
    OPERATION_CODE                   VARCHAR2(120) ,
    GROUP_ID                         NUMBER(18, 0) ,
    AGGREGATION_TASK_INSTANCE_ID     NUMBER(18, 0) ,
    TASK_INSTANCE_ID                 NUMBER(18, 0)     NOT NULL,
    AGGREGATION_HEADER_ID            NUMBER(18, 0)     NOT NULL,
    PRIMARY_FLAG                     VARCHAR2(120) ,
    HEADER_ID                        NUMBER(18, 0) ,
    IS_ELIGIBLE_FLAG                 VARCHAR2(120) ,
    STATUS_CODE                      VARCHAR2(120) ,
    CORRELATION_KEY                  VARCHAR2(400) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    ORCHESTRATION_APP_ATTRIBUTE1     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE2     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE3     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE4     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE5     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE6     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE7     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE8     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE9     VARCHAR2(4000),
    ORCHESTRATION_APP_ATTRIBUTE10    VARCHAR2(4000),
    LINKED_AGGR_HDR_ID               NUMBER(18, 0) ,
    OPERATION_CODE                   VARCHAR2(120) ,
    GROUP_ID                         NUMBER(18, 0) ,
    CONSTRAINT pk_doo_aggregation_task_instances PRIMARY KEY (AGGREGATION_TASK_INSTANCE_ID, AGGREGATION_TASK_INSTANCE_ID)
);
